Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513338 - Review Request: ghc-integer-logarithms - Integer logarithms
Summary: Review Request: ghc-integer-logarithms - Integer logarithms
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 08:51 UTC by Jens Petersen
Modified: 2018-05-24 07:21 UTC (History)
3 users (show)

Fixed In Version: ghc-integer-logarithms-1.0.1-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-24 07:21:59 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2017-11-15 08:51:01 UTC
Spec URL: http://petersen.fedorapeople.org//ghc-integer-logarithms.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-integer-logarithms-1.0.2-1.fc26.src.rpm

Description:
"Math.NumberTheory.Logarithms" and "Math.NumberTheory.Powers.Integer" from the
arithmoi package.

Also provides "GHC.Integer.Logarithms.Compat" and
"Math.NumberTheory.Power.Natural" modules, as well as some additional functions
in migrated modules.

Comment 1 Jens Petersen 2017-11-15 08:51:05 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=23135561

Comment 2 Jens Petersen 2017-11-15 11:04:24 UTC
This will unbundle the library from ghc-scientific.

Comment 3 Robert-André Mauchin 2017-11-15 17:15:28 UTC
All good, package accepted.

Comment 4 Jens Petersen 2017-11-19 07:42:53 UTC
Thanks for reviewing :)

https://pagure.io/releng/fedora-scm-requests/issue/3151

Comment 5 Gwyn Ciesla 2017-11-20 15:25:07 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-integer-logarithms. You may commit to the branch "f27" in about 10 minutes.


Note You need to log in before you can comment on or make changes to this bug.